<?php
##########################################
# ~ Разработка отдельных модулей ~~~~~~~ #
# ~ и написание скриптов на php (c)KoT ~ #
# ~ ICQ: 7675072 ~~~~~~~~~~~~~~~~~~~~~~~ #
# ~ Site: 4atlove.ru ~~~~~~~~~~~~~~~~~~~ #
# ~ E-mail: notefree@bk.ru ~~~~~~~~~~~~~ #
##########################################

require 'config.php';
$align = 'left';
$title = 'Магазин';
aut();
head();
who_add(0, 'enter');

$rm = (int)$_GET['rm'];

if (isset($_GET['rm']) and !ctype_digit($_GET['rm'])) { header('Location: index'); }

$go = isset($_GET['go']) ? $_GET['go'] : NULL;
if (!isset($go)) {

echo 'Введите текст топика:<br/>
      <form method="POST" action="us_top?go=nt&amp;rm='.$rm.'" name="auth">
      <input name="newtop" maxlength="25" value="" title="change"/><br/>
      <input type="submit" value="Изменить" name="enter"><br/>
      <a href="us_shop?">Магазин</a><br/>';
foot();
exit;
}

if ($_POST['newtop'] == '') {
echo 'Ошибка!<br/>';
}
else
{
echo 'Топик был изменен!<br/>';
}

$newtop = trim(mysql_real_escape_string(check($_POST['newtop'])));

$newtop = iconv('utf-8', 'windows-1251', $newtop);
$newtop = substr($newtop,0,20);
$newtop = iconv('windows-1251', 'utf-8', $newtop);
if ($user['translit']==1) $newtop = translit($newtop);

$q = mysql_fetch_assoc(mysql_query("SELECT * FROM `setting` WHERE `ids` = '1'"));
$baks = $user['posts'] - $q['c_topic'];
$baks = intval($baks);
mysql_query("update `users` set posts='$baks'  WHERE `id` = '$user[id]'");
mysql_query ("UPDATE rooms SET topic = '$newtop' WHERE rm = '$rm'");

echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>